<?php
//	画像表示に時間がかかりすぎるので、このライブラリは使用中止。(Ver.1.24)

	if (isset($_GET["img"])) {
		$img_file = $_GET["img"];
		$img_file = mb_convert_encoding($img_file, 'SJIS-win', 'UTF-8');
	}
	if ($img_file.'' == '') {
		exit;
	}
	if (isset($_GET["size"])) {
		$size = $_GET["size"];
	}
	if ($size.'' == '') {
		exit;
	}

	ini_set('memory_limit', '50M');		// メモリを確保しないと、画像サイズが大きい場合、imagecreatefromjpegでエラーになる
						// ただし、画像サイズが大きいと、処理に時間がかかる

	if (!($img_src = @imagecreatefromjpeg($img_file))) {
		if (!($img_src = @imagecreatefrompng($img_file))) {
			$img_src = @imagecreatefromgif($img_file);
		}
	}

	if (!$img_src) {
		exit;
	}

	$width = imagesx($img_src);
	$height = imagesy($img_src);

	if ($width > $height) {
		$new_width = $size;
		$new_height = $height * $size / $width;
	} else {
		$new_width = $width * $size / $height;
		$new_height = $size;
	}

	$img_new = imagecreatetruecolor($new_width, $new_height);

	if (imagecopyresampled($img_new, $img_src, 0, 0, 0, 0, $new_width, $new_height, $width, $height)) {
		header('Content-type: image/jpeg');
		imagejpeg($img_new);
		imagedestroy($img_new);
	} else {
		$size = getimagesize($img_file);		// 失敗した時の予備？？
		$fp = fopen($img_file, "rb");
		if ($size && $fp) {
			header("Content-type: {$size['mime']}");
			fpassthru($fp);
		}
	}
?>
